
package de.ivu.elect.exchange.geodata;

import java.util.List;

import javax.enterprise.inject.Instance;
import javax.inject.Inject;

import de.ivu.elect.business.exchange.control.NoContext;
import de.ivu.elect.business.geodata.control.GeodataOrtImportExchange;
import de.ivu.elect.business.geodata.entity.GeodataOrt;
import de.ivu.elect.exchange.AbstractImportExchange;

public class DefaultGeodataOrtImportExchange extends AbstractImportExchange<List<GeodataOrt>, NoContext>
    implements
      GeodataOrtImportExchange {

  @Inject
  private transient Instance<GeodataOrtMapper> mapper;

  public DefaultGeodataOrtImportExchange() {
    super();
  }

  @Override
  protected Iterable<GeodataOrtMapper> getAllSupportedMapper() {
    return mapper;
  }
}
